first attempt at modding anything in this game, figured messing with vanilla content would be a good place to start after learning the basics.

my goal with this mod is to improve every level in some way, either by adding optional objectives or changing existing things in levels.

if you have any bug reports, ideas and/or balancing changes i should make feel free to put it in the dev feedback post of "Vanilla Overhaul" in the gtfo modding server.

GENERAL CHANGES
=============

Player Stats
- Increased time before regen starts (5s -> 10s)
- Increased regen speed (0.2/s -> 0.5/s)
- Increased crouch move speed (2.0 -> 2.4)
- Increased ladder move speed (1.4 -> 1.8)
- Increased dodge/evade movement speed (2.0 -> 3.5)
- Decreased minimum fall damage (8 -> 4)
- Increased maximum fall damage (60 -> 100)
- Increased minimum hight before taking fall damage (4m -> 5m)
- Several changes to make stamina values better based off of the "vanilla plus" mod values



WEAPON CHANGES
=============

MAIN
===

Burst Pistol
- Lowered magazine size (28 -> 22)
- Slightly increased reload time (1.25 -> 1.3)
- Slightly lowered falloff start range (10m -> 9m)
- Reduced burst delay (0.6 -> 0.06)

Machine Pistol
- Decreased falloff start range (7m -> 5m)
- Lowered max ammo (534 -> 378)
- Increased precision (0.713 -> 1.452)

Hel Revolver
- Lowered clip size (8 -> 6)
- Lowered max ammo (100 -> 72)
- Slightly decreased reload time (2.3 -> 2.1)

Rifle
- Lowered stagger multiplier (1.75 -> 0.75)
- Increased precision (0.8667 -> 0.9217)
- Increased magazine size (14 -> 18)

Heavy SMG
- Increased magazine size (33 -> 38)

Assualt Rifle
- Slightly increased reload time (1.8 -> 2)
- Increased damage (2.1875 -> 2.4875)
- Increased precision (0.8 -> 0.8667)

Burst Rifle
- Increased max ammo (308 -> 342)
- Slightly reduced burst delay (0.15 -> 0.135)

Double Tap Rifle
- Increased precision (0.9 -> 1.0)
- Increased max ammo (135 -> 152)

DMR
- Slightly increased max ammo (90 -> 96)

Sawed-Off Shotgun
- Lowered clip size (4 -> 3)
- Slightly decreased reload time (1.6 -> 1.4)

Slug Shotgun
- Lowered damage (21 -> 14.91)
- Lowered stagger multiplier (2 -> 1)
- Increased falloff start range (6m -> 9m)
- Increased precision (0.7413 -> 1.1516)
- Reduced shot delay (0.9 -> 0.6)
- Increased max ammo (38 -> 48)

SPECIAL
===

Heavy Assualt Rifle
- Lowered magazine size (30 -> 24)
- Increased shot delay (0.095 -> 0.114)
- Increased damage (5.01 -> 5.31)
- Increased max ammo (149 -> 183)
- Increased precision (0.8 -> 0.8667)
- Decreased reload time (2.3 -> 1.9)

Short Rifle
- Reduced magazine size (30 -> 26)
- Reduced max ammo (196 -> 148)
- Increased shot delay (0.04 -> 0.12)
- Increased stagger multiplier (0.5 -> 0.75)
- Increased precision (0.8667 -> 0.9217)

Scattergun
- Slightly increased max ammo (16 -> 18)

Hel Gun
- Decreased charge up time (0.2 -> 0.12)
- Increased charge up delay after shooting (0.0 -> 0.2)

Machine Gun (Low Rpm)
- Changed name to "Hel Machine Gun"
- Now pierces 1 enemy
- Lowered damage (5.35 -> 4.95)
- Lowered magazine size (40 -> 35)
- Lowered max ammo (184 -> 135)

Burst Cannon
- Changed name to "Auto Cannon"
- Changed firemode (burst -> full auto)
- Lowered magazine size (20 -> 12)
- Lowered max ammo (66 -> 48)
- Lowered damage (22 -> 20.1)
- Slightly increased shot delay (0.06 -> 0.06235)

High Caliber Pistol
- Increased magazine size (6 -> 7)
- Slightly increased max ammo (31 -> 35)

Precision Rifle (changes based off of the "vanilla plus" mod)
- Lowered magazine size (10 -> 8)
- Lowered max ammo (51 -> 32)
- Decreased shot delay (0.28 -> 0.385)
- Increased damage (13.0 -> 20.01)
- Increased falloff start range (30m -> 35m)
- Increased precision (1.3 -> 2.0)

Sniper
- Increased magazine size (2 -> 3)
- Increased max ammo (16 -> 18)

TOOL
===

Shotgun Sentry
- Increased pellet count (5 -> 6)
- Reduced cone size (3 -> 2)
- Increased rotation speed (8 -> 10)
- Now aims for the body instead of the head

Cfoam Launcher
- Decreased full charge blob amount (12 -> 10)

MELEE
===

All
- Added 0.01 damage because of unity rounding errors

Sledge Hammer
- Increased light attack damage (3 -> 4)
- Increased charged stagger multiplier (1.3 -> 1.5)
- Increased shove range (1.0 -> 1.35)
- Decreased shove stamina cost (0.05 -> 0.025)

Knife
- Slightly decreased full charge time (0.6 -> 0.575)
- Added a 0.072 delay to the full charge hitbox so you don't hit walls you're right next to
- Increased shove range (0.7 -> 0.95)

Bat
- Increased shove range (0.7 -> 0.95)
- Removed shove stamina cost (0.025 -> 0.0)

Spear
- Increased light attack damage (2 -> 4.5)
- Slightly increased sprint speed while charging (0.75 -> 0.80)
- Increased shove range (1.0 -> 1.35)
- Decreased shove stamina cost (0.05 -> 0.025)



ENEMY CHANGES
=============

Shooter
- Increased attack cooldown (2.0 -> 2.5)

Big Shooter
- Added wave spawn variant
- Increased damage (6 -> 8)
- Increased health (150 -> 170)
- Increased weakpoint damage multiplier (2.0 -> 2.5)
- Adjusted bullet pattern

Hybrid
- Lowered health (150 -> 120)
- Decreased weakspot damage multiplier (2.0 -> 1.5)

Shadow
- More sensitive to light when sleeping
- Less sensitive to movement when sleeping
- Increased movement speed (1.0 -> 1.65)
- Slightly lowered damage (12 -> 10.3)
- Slightly lowered health (20 -> 18)
- Slightly lowered body part health (17 -> 15)

Big Shadow
- More sensitive to light when sleeping
- Less sensitive to movement when sleeping
- Increased movement speed (1.0 -> 1.65)
- Lowered tounge damage (24 -> 20.3)
- Lowered punch damage (40 -> 30)
- Lowered tag time (60 -> 21)

Shadow Scout
- More sensitive to light when patrolling
- Less sensitive to movement when patrolling
- Replaced shooter ability with tounge ability
- Swapped to shadow sfx
- Lowered tag time (60 -> 14)

Charger
- Less sensitive to light when sleeping
- Decreased tounge damage (18 -> 16)
- Increased punch damage (4 -> 8)

Big Charger
- Less sensitive to light when sleeping
- Increased tounge damage (24 -> 28)
- Increased punch damage (40 -> 50)
- Increased animation speed (1.2 -> 1.6)

Charger Scout
- Less sensitive to light when patrolling
- Gave tounge ability
- Swapped to charger sfx



CUSTOM BOOSTERS
=============

MUTED
===

Stim Shot
- Main & special weapon damage +15%
- Melee damage -15%

Axon
- Hacking skill +100%
- Sentry cpu speed +25%
- Tracker cpu speed +25%
- Bioscan speed -15%

Solid
- Regen cap +25%
- Starting main & special ammo +10%
- Regen speed -75%

BOLD
===

Steroids
- Melee damage +50%
- Main & special damage -25%

Dex
- C-foam portion +50%
- Tripmine damage +50%
- Sentry damage +25%
- Bioscan speed -25%
- Hacking skill -100%

Pure
- Bioscan speed +25%
- Melee & projectile resist -25%

AGRESSIVE
===

Provision
- Med & supply efficiency +45%
- Main & special ammo off spawn -90%
- Main & special weapon damage -35%

Protec
- Melee & Projectile Resist +25%
- Regen cap -50%
- Infection resist -50%
- Bioscan speed -35%

Detox
- Infection resist +90%
- Melee damage -35%
- Melee & projectile resist -35%



AVAILABLE LEVELS (6/83)
=============

(-/-/-) = main sectors / secondary sectors / overload sectors

(-/10) = original level change scale (0 = unchanged / 1-2 = low / 3-5 = high / 6-8 = extreme / 9-10 = overload)

ALT R1 (6/6/2)
===

VO-R1A1 (2/10)
- changed z50, z51 & z52 layouts/seeds
- z51 will always contain a c-foam nade
- adjusted extraction waves
- secondary & overload objectives



VO-R1B1 (0/10)
- z39 sec door (key door) has a checkpoint tied to it
- secondary objective



VO-R1B2 (4/10)
- changed z17 & z23 layouts/seeds
- moved z19 to z17
- z19 now unlocks when you complete secondary's first alarm
- replaced normal key with a bulkhead key in z17
- z18 sec door is now linked to bulkhead dc
- alarms can spawn big shooters instead of big strikers
- adjusted extraction waves
- z18 sec door has a checkpoint tied to it
- secondary objective



VO-R1C1 (5/10)
- added some resources to z64
- z66 sec door is now linked to a bulkhead dc and has a class IV alarm tied to it
- replaced hybrids with big shooters during the reactor
- adjusted reactor wave warmup times, 1 (45s) 2 (1m 30s) 3 (50s) 4 (1m 45s) 5 (55s) 6 (2m 0s) 7 (1m 0s) 8 (2m 15s)
- changed time to verify reactor codes on waves 2, 4, 6 & 8 (45s -> 1m 30s)
- z66 sec door has a checkpoint tied to it
- secondary & overload objectives



VO-R1C2 (4/10)
- changed some zone numbers around
- changed z91, 95 & z96 layouts/seeds
- z99 has been moved into z98
- swapped z98 & z99 alarms
- key for z100 is now always in z98
- z98 is now linked to a bulkhead dc
- added a bulkhead key to z97
- z100 apex door is now a class V
- added more sleeping chargers to z93, z94 & z97
- z97 sec door has a checkpoint tied to it
- secondary objective



VO-R1D1 (6/10)
- added a bulkhead key to zones 74, 76 & 78 (for a total of 3)
- zones 73, 74, 75 & 76 sec doors now have silent big scans instead of team scans tied to them
- zones 70, 77 & 78 now have some sleeping chargers
- alarm hybrids replaced with big shooters
- z71 apex door is now a class VI and can spawn chargers
- adjusted extraction waves
- z71 apex door has a checkpoint tied to it
- secondary objective